Sha256: f0c1a36d528784603cfff6815c0334167aba9708a93f403c37c25f3b8a00a3f9

Contents?: true

Size: 1.28 KB

Versions: 22

Compression:

Stored size: 1.28 KB

Contents

#! /bin/sh
### BEGIN INIT INFO
# Provides:		redis-server
# Required-Start:	$syslog
# Required-Stop:	$syslog
# Should-Start:		$local_fs
# Should-Stop:		$local_fs
# Default-Start:	2 3 4 5
# Default-Stop:		0 1 6
# Short-Description:	redis-server - Persistent key-value db
# Description:		redis-server - Persistent key-value db
### END INIT INFO


PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/local/bin/redis-server
DAEMON_ARGS=/etc/redis.conf
NAME=redis-server
DESC=redis-server
PIDFILE=/var/run/redis.pid
LOGFILE=/var/log/redis.log


test -x $DAEMON || exit 0
test -x $DAEMONBOOTSTRAP || exit 0

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	touch $PIDFILE
	chown www-data:www-data $PIDFILE
	touch $LOGFILE
    chown www-data:www-data $LOGFILE
	if start-stop-daemon --start --quiet --umask 007 --pidfile $PIDFILE --chuid www-data:www-data --exec $DAEMON -- $DAEMON_ARGS
	then
		echo "$NAME."
	else
		echo "failed"
	fi
	;;
  stop)
	echo -n "Stopping $DESC: "
	if start-stop-daemon --stop --retry 10 --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON
	then
		echo "$NAME."
	else
		echo "failed"
	fi
	rm -f $PIDFILE
	;;

  restart|force-reload)
	${0} stop
	${0} start
	;;
  *)
	echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0

Version data entries

22 entries across 22 versions & 1 rubygems

Version Path
standup-0.6.9 scripts/redis/redis-server
standup-0.6.8 scripts/redis/redis-server
standup-0.6.7 scripts/redis/redis-server
standup-0.6.6 scripts/redis/redis-server
standup-0.6.5 scripts/redis/redis-server
standup-0.6.4 scripts/redis/redis-server
standup-0.6.3 scripts/redis/redis-server
standup-0.6.2 scripts/redis/redis-server
standup-0.6.1 scripts/redis/redis-server
standup-0.6.0 scripts/redis/redis-server
standup-0.5.14 scripts/redis/redis-server
standup-0.5.13 scripts/redis/redis-server
standup-0.5.11 scripts/redis/redis-server
standup-0.5.10 scripts/redis/redis-server
standup-0.5.9 scripts/redis/redis-server
standup-0.5.8 scripts/redis/redis-server
standup-0.5.7 scripts/redis/redis-server
standup-0.5.6 scripts/redis/redis-server
standup-0.5.5 scripts/redis/redis-server
standup-0.5.4 scripts/redis/redis-server